diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index a88789d..4487fa7 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -134591,8 +134591,8 @@ RegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation where
          ++ \axiom{integralLastSubResultant(p1,p2,ts)} 
          ++ is an internal subroutine, exported only for developement.
      toseLastSubResultant: (P,P,TS) -> List PWT 
-         ++ \axiom{toseLastSubResultant(p1,p2,ts)} has the same specifications as
-         ++ \axiomOpFrom{lastSubResultant}{RegularTriangularSetCategory}.
+         ++ \axiom{toseLastSubResultant(p1,p2,ts)} has the same specifications
+         ++ as \axiomOpFrom{lastSubResultant}{RegularTriangularSetCategory}.
      toseInvertible?: (P,TS) -> B
          ++ \axiom{toseInvertible?(p1,p2,ts)} has the same specifications as
          ++ \axiomOpFrom{invertible?}{RegularTriangularSetCategory}.
@@ -134686,7 +134686,7 @@ RegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation where
          -- CAN BE OPTIMIZED if the input tower is separable
          inv := toseInvertible?(q,ts_h)@(List BWT)
          lbwt := concat([bwt for bwt in inv | bwt.val],lbwt)
-       sort(#1.val < #2.val,lbwt)
+       sort((x,y) +-> x.val < y.val,lbwt)
 
      toseInvertibleSet(p:P,ts:TS): Split ==
        k: KeyInvSet := [p,ts]
diff --git a/changelog b/changelog
index 7359b96..fcc83f5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.06.tpd.patch
+20090620 tpd books/bookvol10.4 RSETGCD +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.05.tpd.patch
 20090620 tpd books/bookvol10.4 ODERED +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1dca96a..01504c5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1609,5 +1609,7 @@ bookvol10.4 ODERTRIC +-> conversion<br/>
 bookvol10.4 RECOP +-> conversion<br/>
 <a href="patches/20090620.05.tpd.patch">20090620.05.tpd.patch</a>
 bookvol10.4 ODERED +-> conversion<br/>
+<a href="patches/20090620.06.tpd.patch">20090620.06.tpd.patch</a>
+bookvol10.4 RSETGCD +-> conversion<br/>
  </body>
 </html>
